From 6285f6a442d2b160a59c843453cec46fc06e7743 Mon Sep 17 00:00:00 2001
From: Patrick Uiterwijk <patrick@puiterwijk.org>
Date: Sep 22 2017 13:08:58 +0000
Subject: Keys are now in fedora-gpg-keys subpackage of fedora-repos


Signed-off-by: Patrick Uiterwijk <patrick@puiterwijk.org>

---

diff --git a/RPM-GPG-KEY-fedora-25-primary b/RPM-GPG-KEY-fedora-25-primary
deleted file mode 100644
index c558c9d..0000000
--- a/RPM-GPG-KEY-fedora-25-primary
+++ /dev/null
@@ -1,30 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1
-
-mQINBFb9YzMBEACy1RmbMa6MNIpfHYxLwgCgBVnFYCdCHZqWfYYYK14potfJ9uI2
-4Y4w+oHiLeZ/HoG1EBQiDfXHetGZECAKEYQlE7BbRBcd3An9GalKTkWzcshhHFx7
-f5JIprL0uY8x2D9HmCfAjMxoh6usWjmAQ+DUYd48iYCkahyZa0/2CgX9HIcEz/M/
-oDeQbTwzw9AQbQz382oOErfRaXE/DQrjlx2ln0iejidiOe7DzGZOH9/Foc2KN062
-A9VnZ7tU1ACKT8NxZ78RaBL3qmvMGdb7kf7GywjpRNo4J7XCQUP+nP51eCur2wMS
-4mY2idDL8Ojouta79pPrviVLmwzunJoFnBcnIhbndebdxPqgOA5XAOaTdLtgurMq
-90V45DPyJpkdEyptovksH7zYNGEIGB8cFmrVgUwriB0TLNJTEcM4Knbh4imfTX42
-vCE+rEHn3YVqubG7rggibKznJbflwQcqOYZHLlPGYCxO47aaFUo5qJN7QN3lxajb
-SzL/SdoHrVL67unzmHyktx5uF8Fv6EDgUV6NCb/IBiEwhR8YHi86NQ8nsI3K8Zhv
-EnIxghJQD+cn3ykthwqYmZwi2PJDBiZsOGf3iXbalAjU3JVqoA7mboRPR+IBXQxK
-xvAEpyIGeSUN8yBn+JVDRwZ37kkUVs2AOeUwMlnfFSqYFfmqbeQ73A9ECwARAQAB
-tDxGZWRvcmEgMjUgUHJpbWFyeSAoMjUpIDxmZWRvcmEtMjUtcHJpbWFyeUBmZWRv
-cmFwcm9qZWN0Lm9yZz6JAjgEEwECACIFAlb9YzMCGw8GCwkIBwMCBhUIAgkKCwQW
-AgMBAh4BAheAAAoJEECJ2PL9sZyY1TEP/0u/v4g8HEdl9gqlhV179vXCJJiGtzB0
-7IGAu++mrsxBrDpqPZTEs6dG5MyzvhhHcmHYrZIiicPAeL9xlZ75oIqQuvjDncoM
-kROSGvtfUnvocZhQIPvvkgWe3UAmmP3cSlVzu3KtbTpM+KL71incWo4Tentq9L/f
-vsow7vvGbKUMoSSZbAMfjJkzlzSDNlFtaRkrCBQFJ76EKeggjnEZ8H0cowCdGuyv
-uBoxQeeQM13b2T9c/uyrXCIcasaOTIKTcqTjbJUTIC2NIZ8OHjtlxZacEaN3ml1M
-lNRtbIvqzbtv+sb+DsOVTyd1XIcxU9s+TDKvUm0OBNvj3Bm2BQbi8RHyLFbHWvhx
-Gjzb8Wb/MnlcdTlk3M2iPv8dWHXjEM9n9TKyStdpBD9X3P/Gy2gUquHgkl8p+r8o
-xmzNH534mKH47kPL/trKInKwv0fkBwxvuPgHG0n79eMHQenVA8gXzG4P6JkcyObA
-6xGEEQ/wXFF0gLksmwFWuPm2GcnOI5KmGNgDP2PMhS8/cfJfW04a/tL2T2zr4CmE
-LynbOvY/yOJk7/2W3Cb47+yhqo/htrpJDP6n6zQNNk3+e8EVgfhkQqFxom8yCmEP
-pW0gBFeE83VoytYPXRkavwmFR+tplyZfOkXG9gysTn8SpRp5+B44O+VeaZumanQZ
-kRFmBygMR6M/
-=NrXo
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-fedora-25-secondary b/RPM-GPG-KEY-fedora-25-secondary
deleted file mode 100644
index 526cd2d..0000000
--- a/RPM-GPG-KEY-fedora-25-secondary
+++ /dev/null
@@ -1,52 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1
-
-mQINBFb9eUMBEAC4XFMbnbuiLmUPRqenm9SRcNkrXWvp33iBJBUKfqU2pKApkpDS
-YvLNukZlWDnwlyrXzPB8WJQOcugbtmN7nWK1vjAJnrT9BHPBnLZvsZoYuBnEvzsl
-CbV6cOOal85LFtdqpu5Pir9OD5OSgseubRh21tsuM5uNPOE8pL1ffsRt6zD0paf0
-G1gr5+9rSc2cZ53RgwYBAJV4tethe+RDGSs/6Lrv6v8SkkgSW4USt7R73govRLTU
-XRW6NB5s5S74EiApyAqgC2UMNQZw6PjAGUFw8BFhJcUNzVnIzGrXdMGdBQ1G12io
-5F3PDsqHZ9V3qqLxUgNhlK3W/HvIRv0irRviSOwux8QnE3toSqBaWbS445L9Ar2z
-7SHdEb8InNdV9dcPL1Y5Nes8Do5Sgz6syBVwk4vfJMAs6w7Gr/fdS5OdOCkv2XrX
-f4/Bmxc5GD0KgXTduErcnWCoswJx3CVbUt/a5/DozQH6wxjlxDfVE1Y9DkzxPeoe
-J8nMzidf6N1YkiaF5fRIoUY0edYh4ID4jT/NTRTAAc17BaftK3prqc+x0MWROuiT
-W2Y8tEIZthNT6jBJsVlV9ip0JWGAM4cHScsnuXnoZqFQdpe3En2kcxcWb7t/Spwc
-cMLfrD4YJw4TVRN7qSk/2XvNmM0C1gNpBSGrjXI9JGOY/SBScUx5Mz/9IwARAQAB
-tEBGZWRvcmEgMjUgU2Vjb25kYXJ5ICgyNSkgPGZlZG9yYS0yNS1zZWNvbmRhcnlA
-ZmVkb3JhcHJvamVjdC5vcmc+iQI4BBMBAgAiBQJW/XlDAhsPBgsJCAcDAgYVCAIJ
-CgsEFgIDAQIeAQIXgAAKCRAaGFzd43LoOOxpD/0XWzF+OvKyhM7xz19F6HG6QKTx
-3G6gxnqzrOb9XVB805C7zPEmhURO6TxxZBigwothmjovHMhVrdeVtChJ+UWVy16W
-fpemCwiZ4saLfyMVQQBdovNTwTLAawpp0frkGqO8iGAuEdnCSrTZKZLjg9xiTJyz
-C5slpje5cHEHA51pUUuoK542ne2x+08KMhJ60Ppo8seSRHQSbgnqLSIo9Q3QnA5H
-aRHjb+nb4cvXHsLRqoQbNcjMf9SGe7tDhLzUjeGG+J6b3H3evNp50pMTg610y47U
-rpy5bXjHOEJSx8zFjfXo3SEKFCduDkZUIuBCw8YtjtaRSM2ucym6WZr7Veu6E0RX
-h4xoB9d7kp6gHXfaia9BRlTM4AuLhvlU3CSQycZllrZhW59Pm4DEyHC3aoQZnP7a
-ypPSHlUE16nzTkdPLa/Om9FlyXH2lnwV/dQ3uNZeb5H+wZBoPTpcmgfCSRbZCIxF
-LTlUuZ/LVGN2ZfDtemeNI/Myf/fiGUU4Mc4+PISwvRVvZLJP1W8y4ERcmtK3khG7
-lkU9NgSMDzDvkP/EmXBldciqlTykYAzKw8geShmgL2Tc4bTvqJxDMcDHLhYz0R0o
-KHqpjsRpJt3a0y+Z+15gG1winnoOaIxF6QqXCOWc2M0mIPmazkOXWITQEhFMn/GV
-rYtB2w4+46rQ22pp0LkCDQRW/XlDEAgAhRX7+JqpohxxLest1GrtxWjEwDrUy5Jr
-2fa/3l0wgvQpooHd+RK31m0CvTC5udFz6ysx+L8LC5yWQxHiR5VNSYy9uNfaM8Kf
-BklM2Q2SRZlv/BlKN9Djec5l17aldm/6zgL6/gdx6TkBBdv0SQf5fb/mm+j+ot3g
-LPveEiXUb/0pTiWjEAP/N8yNePctr9JX4M6maTtQq8iH/o6H2byj87wicgr4gaI9
-RDe0F6BgAJ1IVCBt1RB19fPt5Z8BgcNhZdxi0xzn65uYg0lQ5yjwBSHP4qAdLRAS
-aerEhdA0gBxf4Gj1by8fPpaWKSZ3VFcVIP2loqXkm/Uco2+h7AUgvwADBQf+PV5o
-CcgExnG03MMMnCc75vP4hDK+EyOtAWik4WJBuCdNoIoCvysM+GBSXt7XD9FO3qkn
-UEQlWDQMeWZ+NBIQj7tk5WWz9/EZAVdj4DeN3VsbHpgIbOAHwvmNUZjCLvpBE3+K
-FtFZOffX629n8E2YhnLZHHIu6TbPesPPPdqpJbpU7L56nDO+ZqcqMY8rIOeViZYG
-zUBdH4JbwGmq2i9W8tf497CjdWN81QO4li3s688fSj3hcz0ewj+o8WDW/0yy0NkX
-lw7lO2TKownpnLJlcm2aJcptaN7MbmfvEg9mAMdSjd0CFoTSUuzF7/m+C8TyQTPE
-PsE74vH4MHuL7rANpIkCHwQYAQIACQUCVv15QwIbDAAKCRAaGFzd43LoOC1nD/96
-jEXAmjTIvwRf9b9CI+S63JDUTi0WyZaXMEzwfnmQY0KXDwbXuidskbpS3DmCcLjF
-kRdWtiWdzRp6aCT95GxP+kRz6Zy7PkjpPPZQ0Tj+b3zInkOQlodPSTfWUbDztaHw
-zzx5g3L9YebmWULOZvV+rqAWseUw8xJ8VygDnKNBvXM4berDt9B8A74IlCJSvGpf
-zL+UwrCAOJ9etYpJjfqRN+TW3k3COrYqVN7R8Cq42J4sFOE9BhSr26NdTDT3wCrV
-veDRJ20hChETg3mhzTcYj3JIbwEUO2hKVUB+bkOjmCJGYV/sJM87cUdi0D1OacqP
-EbKNCbMidppBcNG1aGY310S4uVB0Wyy/UoqJH9szyIBkT7eWaNthKcd7UnlVRaM1
-vv5sy5ZudJmTpNuupKfpQEJPnRM2uVBm5Rgpa3tawzUDOFM4uM5z/vyZ6zYTkstv
-VN55DlgyUSx5oImtHcYiVGYE2P3pCnxMAFzmxUeIwipva0k2FYf10eavFqvprWHY
-UYkjramXyyDli2lmI5CEWLL3ZUgCzDwWSMxkTdaBGoY5XLVPl+DNHYG2G6F9YqnI
-nmQndpeUwSDspU9Nv/VeSnn+cCLWaJuqpNLNoaxju14OtP5F6GcrKsphlD2zjB9+
-KgCdlumPwrKe3KQBUOKYTnv8MMfulZHueQvy51IDZQ==
-=fWOn
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-fedora-26-primary b/RPM-GPG-KEY-fedora-26-primary
deleted file mode 100644
index aef3532..0000000
--- a/RPM-GPG-KEY-fedora-26-primary
+++ /dev/null
@@ -1,30 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1
-
-mQINBFfTPiIBEACnRl8tUymlDOBNJWjtICofXNyM4qt2qfGTme3YZ0ZVOay55pK6
-1OLiyNLXyJfDH9d2U6dZn5UYLNdE3QXRVua5GXlSituY0+pzs7n9doW/U8kdhm9a
-zOfyR1Wh/u/FHUmiXUvuwLVzqee7lSU3Ry1voDzPIyM/3/eXDa4wAkbYuestYV2F
-G2VqcMgDIEudYlkz6N1OigMWvkvYXFHVC1A55ydHenWffQzQaPpGuJLA61ARZ5Cu
-X46xgOCPc+aSvAm/D0cmOS7xhZcUqs1A5uGtViZqsRt59Bp0HVNxftfBCO/rQx+9
-FrV1vYXkbTdzG3unlVCJxxC2dW2W6hb3SNgPbE5fgiG9twvVU+3GsFUwARclRWiZ
-HjbWdjlRTkRySzkkdnXalJo3G4UAEDfkvujM2dB4Dt6gVkCPvSKVpK6HTtBdHmDO
-scYfazX/j86somO9npHSrb11tYaLbx2PYfEvw6F7rsxr78/GBjzPnKkK3suXxDlS
-8q7tT1FYV89EzjME5+ThJOyPxyXHKQQwozIXcB/BUfyWGlfFFh8baD+DA8lNgQvl
-/TVFvW6bUV6ll5JoVJJhC87EACL7mlo6AQtwCivUEPxusVXM6u53UKbsc4gVdkZd
-WpUyT2YsgKK05/eVDIkMLHXb3efVbJ6NCj88Fq6hYB7+Y5MRbRFJpvS4DQARAQAB
-tDxGZWRvcmEgMjYgUHJpbWFyeSAoMjYpIDxmZWRvcmEtMjYtcHJpbWFyeUBmZWRv
-cmFwcm9qZWN0Lm9yZz6JAjgEEwECACIFAlfTPiICGw8GCwkIBwMCBhUIAgkKCwQW
-AgMBAh4BAheAAAoJEIEqa0tk2rhdFk8P/1WZFEEBfUr9ywRxeVAwiKx9Ggzf8m61
-p98spnUGj8N53bKwguKnMqAUtm9/XQPRGYRfqKKuKF/4AySCOmqFP86zHThnbFcb
-fMyiJOxBN5N/5dhUxTkZG1M51vFPQx53dnea3w7ypJekTwfEna46PKUD7dTV3HJg
-d2YOojD9mxup0iAmi7/3mi0cHwTCZS9FF/A4eBWjuEd4OM3KzPF7HBdY37a1IBLR
-k7wruMEGSq6EXcoeqG2sMmU7RnEeQxy3WqMYdRdzUjbfBN7mCAcuv2yKB1FFW4/v
-PhP7ObpCCLiaL46APdGFHZ30EC4oaeqSygJ8+zAIFK40t/a0iNNf8ZKKeeuasinr
-qNJAep/WoVjIpx/LlF9vw522fhYXJ75LYLBCQNke/4rQ1Rl29io2Dg29aPrEwFPj
-+7zDztdvaGmu5wLPvsC+w5pyqOT2LPC19y3D7T+KfXp0gEwyZedviDwZdIXz1PX1
-IMytlwRXlrhkp/2WzJvAkJCmRSb8QsxY9Y2A4rfqrNCk6kgjc+3pXNdxumaXEp33
-pjm+z61Qrg2XXFHUhQyRiBnEtyo2Hj3tJQdrPxwGIgtKFZCv+oAwewnMw9TFycI6
-rYEfS4wdAIOGoSF/PL9Eq2xoUJQw8QFCrURm7sfS0/VmvXoSjqzZLeWI4e+JvId0
-QFFBR5ZKOqzo
-=DGPs
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-fedora-26-secondary b/RPM-GPG-KEY-fedora-26-secondary
deleted file mode 100644
index fcafc18..0000000
--- a/RPM-GPG-KEY-fedora-26-secondary
+++ /dev/null
@@ -1,52 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1
-
-mQINBFeocJYBEAD0YKTqzt0QVgmHkRO0G8HpwdsNEzPANkDWe4KC1YnKTDjl4ojv
-BfGc4bzLb+jXM4364DWGxArW6QJFW0DWI9DsK8+5TO+Zi9xtLi5BXKImw2cYh7HK
-bCdNtBxT3xI1UVUuAkL8qbschWTUKgLYC1ywwjiFmjY7fEUpr3jzQrhYxazqN0Nv
-R/lq9k3VAetXTRfOEOhUrIhrTRQnsK58rspF4nWqZTj6D8jkSGcQqs9D3/btbsx6
-9QkFKIIfxvfZxIHccaYfJhjgNU75b4Zl6NQvRm0jB8jpFqMTvG7zvwubRiCku0YS
-T+jy5RiZyaL5Yue0RP8dW0xfsVdRE7zsNaTRuvwVOBfXIFuGj81q0JrO7G5HW2Km
-o2byOeqidPyrlFtJv1PfByUFKIZ530HM4mnVH8193ZbravjJCpj1Ye07cq0yy0Nt
-2rvEpi63EYCBOaOQ9SJaYf77SZlZj/r7W2Hnnn40RqfzRUS3EAIucx1KtqNly5B4
-zm56J8I9rPmqf/zfj+0/kGj8YRm8MP2+F7Se836PGF5d3zjazamcf0ORQmG67dwq
-ddB+a5JhAxWl8OlFNsNBdRnu4qY3i6jK8jhI4U6NwQYEcWmnEeK5rbU20lEKPKla
-+1bK5OlU02JINuS0iXyCMEYyLdheCRQVGXGADVgXy790nTb/IpGVmDj7lQARAQAB
-tEBGZWRvcmEgMjYgU2Vjb25kYXJ5ICgyNikgPGZlZG9yYS0yNi1zZWNvbmRhcnlA
-ZmVkb3JhcHJvamVjdC5vcmc+iQI4BBMBAgAiBQJXqHCWAhsPBgsJCAcDAgYVCAIJ
-CgsEFgIDAQIeAQIXgAAKCRBFYP1NO5IdCWGXD/wOG5fluN233GHQsZ1WQneDaq/z
-i/GyyNelbR5TVJhmZ/ifi51EGx4/w6ZdWokmVQ6UejatdeQCQhlFlF1g9Ax/oYoE
-bdJVmFRP7HzXqWcENXnCSXcpha3C1N8g12a1B3qew0gbuRbhwnnzcDUQSSrcefS1
-XpnhRmDUt7WanbWOWQ6kktYdAkfVd2/k/Y5nHUZp25mnjsNPbsffev6xTdUB4dVk
-irBR4quMYwDXzzKKLz5E7pZB94C8WUCAYPOKM5pCuJR3L4pAjHGjUyrSSxAaCepf
-iwJcCOQHMJY7CpuRqmhc1o3BaV8nO1HWMzbI78RChYshKCDY38Czh6SoeMJzaKUD
-Asvz7tNhOl816s0dbtVw43Ngou7G7tOxmnI47AMNHBuBbA/qKRg6et96lWcjmJiS
-1xks4FZFSEoA9BzH2G9o5LgYKKTRZIRPVZ61nsKa+as4E5oyDbXnUmnbanrfUvAL
-L+vOYTEeFCB7qif2Ek58ujIQBLczmU+2S74pdQlu7kSYnrqNkkRxFOgFWt5udiOw
-5R2vnUO2VAISDlUnkgyHp2SUnHAE2Q4StccvR9JeZUH9IuVioN/nAwzYTTKyOiZX
-zipkxwznSjukiS4WPqdnLrTCNQ7WPpyygQDS/Z1DLt/+Rdxz4wkX76JjNVL+8hBF
-07H2vzBvtkCoZXEQ17kCDQRXqHCWEAgA6UwG6HiPE0EY3UpaAJDQSibtS5zaId0H
-8SXhdAk3ZVtzbskmI8FVuAyi6+Phl9Ps2RjVR88p9Uk6dV2QnRp8DpXQFeGfjMkf
-okl5TmnGu5txXWMGdGeiAs/VlMzRuUZI05fJR6eeA8gn4wpBPmuXBgFre/3tuMxu
-ahBLIhrLuThMMKZrfV42zaYN9waddnN+upM96aKQziNbmU7CSVGXK1wKtvbSF51B
-XeO7w7KdTspKedjVLMhWrlUEAKmdeZDj+9slw4QXpqWMP8vmmIxbrYXm94r6IgYF
-KYk1eZ2t8JbNdjFfRKGLKsPI2W9uH8+fI9/Xqw+mSwFMGqruBpmxZwADBQf/R2o8
-TOghFlNt90wrfP0XaumUP+aZLvb6ndjESTS7PaX1R1wsHtPaVDWnaTgfA66rrCp/
-66vmKf6uHlPeUx0RREaIJ56uKP3n0x8HDn1ZBba83NoriWdVqar6f3+UBoZ0u1GB
-K/F8vG70Xj3x0dJ2psFP62yrDg5z+/TCM+o7EnUl5KYOpa3R25W6UEHoEexUIqxZ
-p9+4FGH7+aO2LKbslEL3AVgraUBiFknJl7ikH3ZxljiFVigjBq/JN2F5CrmeAhdA
-ZedF3lE/epQ+LSQ+TTN7ukGt2l37aJDTRGNHqe6KCy9KqIBr8XAaz9mJ34QF4hB/
-tDUSGQP5eg93ecG5PokCHwQYAQIACQUCV6hwlgIbDAAKCRBFYP1NO5IdCQHSEAC4
-g0BMaQu5qzLHeh/bFXtxT4vFucXLAenyLH+oIEo43crSUpjQiXzBitUc9sWMX7/m
-jj8EWOGbIQNYZO712Ei7fPO7u/auZ7qIlVUKlEHZ+du1ORC5+khKrimgjP/ZIhTY
-KHiIJD3BLs2rEGXdx3TQCYRIgRm066KKZ2gQy3YHngqipmOzvz9j4ctpmD6NabgX
-3eWjUCzxofd3m67c6sQVKxUNQzujCgtaLIClYQEMO0E7Xq9auq9LOvD+40dLE63j
-fYKSIvsQ+3qUmT0CEfk5K3GDYC30xQU4cvqCybOreSTQR0L/f/wUbTYt7Iyj/8eZ
-wfi9wh2zVY2MOoe2zT6XIW2oKJFD9ka7IZsezMR4PBhEGCg69uWbPXbwIP3har1p
-zIrwR1Uto9qCosupnkz3+ILQOiGxY5vtKXUr/0ulQ3gjZiLNL12m5MvnAUg4aoms
-0W76wYUQG/NnccBzKE9hUAlgSak8n0gZPSRbG0wjOIcbE/arSpQ2k8WkwxkcUuHf
-OnBq/2ME1njWkNp+h+F/ifZcwcBiRNZ+S8Y/kV2kh36pjkic4mCc4JjoNLxMic3J
-pbf15Q8X0mgDbp1RVPtm4QTagq3kXRGjFpVaUfJF6ZdzPBm5qJ6F7ZX9p/av2zCp
-Aw7ZjY7u8pfCZttaiaHYd6KYgPX5LEQK5QSTxy/JNA==
-=P9ev
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-fedora-27-primary b/RPM-GPG-KEY-fedora-27-primary
deleted file mode 100644
index 0ab4704..0000000
--- a/RPM-GPG-KEY-fedora-27-primary
+++ /dev/null
@@ -1,28 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQINBFiskqMBEADTbsoAXpDPk+FtcwBEPZQVe0YQYdOqavfQQVD/RYAcHnJW/K1b
-ZhQusBjUIec9SfGi3uBNNmbziAvpd/ycMKyWHuWQLmBgbImrqnPbBPMXmxeNGnZj
-A1hjVDp0pzj2+gZQhqYWSf6kQy9u9A1mSU63Kl/tfw7+hX7Tc3I8feGAFCHcFQgE
-SxUib8Mw/OOGR3Am9fKdA+K1kJeQIiZvXMcNFx+3CfoavhFdicuoT2KbcSuzRm76
-duKNHlLaP6/IbZxNiDWh8SDVpFaFPlqR/R/+wibA6e9wMf6CZ4vfUY7NKYf4tYBs
-0EYdkn3j/KhJJxdb+M46Q/xwq9ovZo7XIhLrIUPuMw91X9cbvkU/a9kE1ffdpNmF
-1fDnUcEkuuEqOl+aMVsUBEbAQ86yrwpDfL4XT9vwnDIkggKZyvDTZ6q00XKg3Ger
-KuZtQBl/YcHDXuBlB1fzpGl8a8hq/+GeT2sVxjlYwPXjrsKd1NeP6ctQsR6gHuP3
-W5ohP4rArtM6ONN8rlTiodDLVGHBpUzIRdgr7RCL1AqB9vrdQ2MVZMasTcUnUvKo
-0H4mps+x05jGao0b0Z0TJc6wr6ybHH38NVG06VX5rJZlfZchGwkWzmYxai55/7ln
-1vJmk+kbdS7pK0jfmeVJ8A77XLCL36oJFCiCrYjV+ZGgvB+z08Jzwc7sgwARAQAB
-tCxGZWRvcmEgMjcgKDI3KSA8ZmVkb3JhLTI3QGZlZG9yYXByb2plY3Qub3JnPokC
-OAQTAQIAIgUCWKySowIbDwYLCQgHAwIGFQgCCQoLBBYCAwECHgECF4AACgkQ9V50
-MPUoLuTcww/+LFPVEyVguMeU/QABEsE5FEN7kcDReZtdwq7p/aKC29mzCxeHggit
-YOGlrINkJ26Aq6p+oW6w7JxBWJnKoTBYJDFzNIbp/6GbG4oKcEnWQZfTnRLTr5au
-kVdWBFevzC0huraobKz3joYRIX826VUzS/A418zpnDVPtpo3x86V9f292rqi2tn9
-Q5cQC5Ck3/cjQDEwkN9gHz4j/c1oa6zBOcHbKkaZdWA2dIs6XOxCIHg78i6VQwMM
-s+vfm2vbV3ACCcOVnd3d6NxIQuDLEQwdtdB2zI8R74bjacosrcafK+F2DnkM7WrL
-SCiTKLJBMRDx+X2nOjT5pLuts4FC/XYRO23SMtPAMzQ852Z1lkjsaVDsjzNqCasU
-B0vDPHLQE8aj0zchNBSzuHoKpXNYTyJztekWL/QXkUsXu0x7N5WhBlZ+lni6LtZU
-51l7BJd1n+ZKnQ4gmjQ1ffVLbgzb9Z1MNje0s61FdKmUJQGULYqh32W4GV+RLvtI
-6AJV/EmFCUEfRJ3eA8tJiyKe512wiim/WDhvzFuuPBup2Z3TufiaJQOysLlN5+HU
-QitTtcd7j8ZgpsIAIZtSWOMxbIAJWbzn8gjfIj4ZDeo0ZZXH0VgDkXtpv1g8R2aR
-Az6ob5YYW5VnI2UEr53x1Z7lmUhv/TUZn26IeU16jCJ80k7pJvQSF8Y=
-=xpp1
------END PGP PUBLIC KEY BLOCK-----
diff --git a/RPM-GPG-KEY-fedora-modularity b/RPM-GPG-KEY-fedora-modularity
deleted file mode 100644
index 99b0291..0000000
--- a/RPM-GPG-KEY-fedora-modularity
+++ /dev/null
@@ -1,29 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQINBFkbN5MBEAC9zjfb8joJxrX0eawhKizSZlKnAaNXhGeg5NauRy2t34BVosbO
-e1z5tohrV7OAhB1X97ZkrsKg0ENTwlTYn/DI/bTU0Z+OG/bp7Fj07jMuYEcobKCq
-5BkspPaW9pHZ/Z070ZZxPpccWvGt1WD/KIno1J98Hszh+KvpDOW9voLdOc0KBvrw
-gZuAUB53Cjljeb6x871IFjF0UgvuPlklF7GlOU8mN9OoMDGUU8lr9qhYSkdFz9Us
-NyHLWDi3ySHYWF7L7NdOKE+5j1emy1kNt5gaTr6XTPOhfvq8VZHZA/AXLRGB9TkQ
-W6/VNzBbiEV7GT6ypDjHQ0ir0N+M0CZtOOBEIwToDWj/8pSO+onT/ChCxO0o0o96
-zjKPcPocxlVZE31klARMsHfG8Oi6uw1oHEfQH60yZYwCdA2GRu3OK6N/t/tqXH96
-WfOh2AjPiHvYf8Wuli1l2OMGj7Uzo6oxuS4nzB1zz4G1KEGDZbned0o65fcxi0+4
-B8pAvnucBI+AE78HaR9/ehAsI2P7KMP6WiKPO5BfELq2wC4bWaZbROqUuGgQ6wwK
-4C6oP27ug9n/ce5GlHTPNenAeC8rtUGCWv+2XayHdAG4rHB5VLDywyD+/6bwhVM4
-gPIzKkm7exR+mylwsNiXl7gwBgdNdal4p2rY0hJuLwsx4lLFHXFVjFRtxwARAQAB
-tEhNb2R1bGFyIEZlZG9yYSAoZmVkb3JhLW1vZHVsYXJpdHkpIDxmZWRvcmEtbW9k
-dWxhcml0eUBmZWRvcmFwcm9qZWN0Lm9yZz6JAj4EEwECACgFAlkbN5MCGw8FCSis
-we0GCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEFvBtSejzE5i6f8P/1AeJgzC
-GDBFKE2RLlZXtqDv+khlBeSVVRrfLyiJNjEnUFq6X6XhDDb8ldZq4JpUB0sy8Eux
-NBef3n1Yw67XY5ZWOdDgo+ci2yeog7Ch5Hv59jvwpwnOnsc8/JOUwAz4EkxjloUh
-YV3afXKFOM15HAKFRJ/OerKQSy0KWHsd9KWIgBEOb5FAwrH86n3zLuuAUnjsiE7V
-kXh2zxehuD+rv35u17CL3H5R3tO3V1xzw4oAMoIspuJxipBB2+nXN6A1iFw1yQA8
-5g91tUmJ+6jwLYpNhhgqkPCy/3j05Ut+hyP2TfVushGfwphXc3cg8UWbRA1OgzXS
-A9VoVwp/lcud4NlJ2OXIvCALgCcYrEQ/hxEROeqNHGsijgQ+1TEbh5fqbSOn3aZf
-dYp03ADkJvvS1a9U7f+dCpiUNXemj6nfCT5BsKtUx59GUdZrrfSMbtsbeuwHyWRp
-LAUJyfckeck85DBzzqzdjO+vpZCvcOloORCwMKHyM4JwqlW66Atkl3NnnVSFy/XD
-axzUVmuyFC9FkE3y/ySzyuvz7szMuh2Eb7bOZIieidmIEHyIWSzUV0yAp0x/kL+m
-dDd9eU7zoDJg2OP52kp5+kTrrpviBoSMZEfZ1qHuFWlW0S53d3U9r6Q0UR8Mcp9X
-wpBnI/lOAxRdO7Gth1pRlzZOIiZYJfBx0IDp
-=kX7M
------END PGP PUBLIC KEY BLOCK-----
diff --git a/fedora-modular-repos.spec b/fedora-modular-repos.spec
index c798ad9..1290d69 100644
--- a/fedora-modular-repos.spec
+++ b/fedora-modular-repos.spec
@@ -8,10 +8,11 @@ URL:            https://pagure.io/fedora-modular-repos/
 Source:         %{name}-%{version}.tar.bz2
 Provides:       fedora-modular-repos(%{version})
 Requires:       system-modular-release(%{version})
+Requires:       fedora-gpg-keys
 BuildArch:      noarch
 
 %description
-Fedora modular repository files for yum and dnf along with gpg public keys
+Fedora modular repository files for yum and dnf
 
 %prep
 %setup -q
@@ -19,27 +20,6 @@ Fedora modular repository files for yum and dnf along with gpg public keys
 %build
 
 %install
-# Install the keys
-install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
-install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
-
-# Link the primary/secondary keys to arch files, according to archmap.
-# Ex: if there's a key named RPM-GPG-KEY-fedora-19-primary, and archmap
-#     says "fedora-19-primary: i386 x86_64",
-#     RPM-GPG-KEY-fedora-19-{i386,x86_64} will be symlinked to that key.
-pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
-for keyfile in RPM-GPG-KEY*; do
-    key=${keyfile#RPM-GPG-KEY-} # e.g. 'fedora-20-primary'
-    arches=$(sed -ne "s/^${key}://p" $RPM_BUILD_DIR/%{name}-%{version}/archmap) \
-        || echo "WARNING: no archmap entry for $key"
-    for arch in $arches; do
-        # replace last part with $arch (fedora-20-primary -> fedora-20-$arch)
-        ln -s $keyfile ${keyfile%%-*}-$arch # NOTE: RPM replaces %% with %
-    done
-done
-# and add symlink for compat generic location
-ln -s RPM-GPG-KEY-fedora-%{version}-primary RPM-GPG-KEY-%{version}-fedora
-popd
 
 install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
 for file in fedora*repo ; do
@@ -51,8 +31,6 @@ done
 %license LICENSE
 %dir /etc/yum.repos.d
 %config(noreplace) /etc/yum.repos.d/fedora-modular.repo
-%dir /etc/pki/rpm-gpg
-/etc/pki/rpm-gpg/*
 
 %changelog
 * Fri Aug 11 2017 Troy Dawson <tdawson@redhat.com> - 27-1

